## node-async 0.1.15~20111104

=== debian/changelog ===
node-async (0.1.15~20111104-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#639095.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 19:48:43 +0700
