## node-async 0.1.15

=== debian/changelog ===
node-async (0.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 15:35:18 +0700
