=== debian/control ===
Source: node-async
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 libnode-uglify | yui-compressor
Standards-Version: 3.9.2
Homepage: https://github.com/caolan/async
Vcs-Git: git://git.debian.org/git/collab-maint/node-async
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git

Package: libjs-async
Architecture: all
Depends: ${misc:Depends},
 nodejs
Description: higher-order functions and common patterns for asynchronous Javascript
 Node is an event-based server-side JavaScript engine.
 .
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript. Although originally
 designed for use with Node, it can also be used directly in the
 browser.
 .
 Async provides around 20 functions that include the usual 'functional'
 suspects (map, reduce, filter, forEach…) as well as some common
 patterns for asynchronous control flow (parallel, series, waterfall…).
 All these functions assume you follow the Node convention of providing
 a single callback as the last argument of your async function.
 .
 This provides async for use directly in web browsers.

Package: node-async
Architecture: all
Depends: ${misc:Depends},
 nodejs
Description: higher-order functions and common patterns for asynchronous Javascript
 Node is an event-based server-side JavaScript engine.
 .
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript. Although originally
 designed for use with Node, it can also be used directly in the
 browser.
 .
 Async provides around 20 functions that include the usual 'functional'
 suspects (map, reduce, filter, forEach…) as well as some common
 patterns for asynchronous control flow (parallel, series, waterfall…).
 All these functions assume you follow the Node convention of providing
 a single callback as the last argument of your async function.
 .
 This provides async for use with Node.
