=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=caolan&project=async .*/v(\d.*).tar.gz
