=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 03fff0eefbe11c854b043c34e3b5e890
+DEB_UPSTREAM_TARBALL_MD5 = 5a540b95b45365780888114cb7cfa876
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
