## node-async 0.1.18~20120312

=== debian/changelog ===
node-async (0.1.18~20120312-1) unstable; urgency=low

  * New upstream (snapshot of) release.
  * Update copyright file:
    + Fix double-indent in Copyright fields as per Policy §5.6.13.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Mar 2012 20:45:00 +0100
