=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper,
  dh-buildinfo,
  libnode-uglify | yui-compressor
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git
