=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,10 @@
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+# FIXME: when tagged upstream change to v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_BASENAME = 0~master
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 5a540b95b45365780888114cb7cfa876
+DEB_UPSTREAM_TARBALL_MD5 = 22aca42347583ca368708e47939a80ec
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
