=== debian/watch ===
version=3
http://githubredir.debian.net/github/caolan/async .*?(\d[^/]*).tar.gz
