## node-async 0.1.22

=== debian/changelog ===
node-async (0.1.22-2) unstable; urgency=low

  * Fix build-depend on node-uglify (not libnode-uglify).
    Closes: bug#695814. Thanks to Adam Conrad.
  * Update watch and rules files to directly use github.com URL (not
    githubredir.debian.net).
  * Bump dephelper compatibility level to 8.
  * Update copyright file:
    + Fix use pseudo-comment section to obey silly restrictions of
      copyright format 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Dec 2012 02:04:24 +0100

node-async (0.1.22-1) unstable; urgency=low

  * New upstream release.
    + Avoid double calling tasks in auto when one or more tasks are
      synchronous.

  * Extend copyright of packaging to cover 2012.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jun 2012 09:18:55 +0200

node-async (0.1.21-1) unstable; urgency=low

  * New upstream release.
    + Fix pass null (not undef) as error to callbacks, when no error
      occured.
    + Add a ';', to avoid uglify failing with strict_semicolons option.
    + Fix occasional synchronous use of forEachLimit.

  * Use anonscm.debian.org for Vcs-Browser field.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 May 2012 16:50:24 +0200
