=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- libnode-uglify | yui-compressor
+ node-uglify | yui-compressor
 Standards-Version: 3.9.3
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-async.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git
 
 Package: libjs-async
 Architecture: all
