=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
@@ -29,20 +29,18 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/caolan/async
-# FIXME: when tagged upstream change to v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_BASENAME = 0~master
-DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 22aca42347583ca368708e47939a80ec
+DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = ed61867d148cbaafc79d4a17ec87d144
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_INSTALL_DOCS_ALL += README.md
 
-# Ease backporting (libnode-uglify is tough to backport)
+# Ease backporting (node-uglify is tough to backport)
 # TODO: drop fallback-dependency after Squeeze
-CDBS_BUILD_DEPENDS += , libnode-uglify | yui-compressor
+CDBS_BUILD_DEPENDS += , node-uglify | yui-compressor
 js-compressor := $(or $(notdir $(shell which uglifyjs)),yui-compressor)
 
 # TODO: generalize (at least non-node) parts below as a CDBS snippet
