## node-async 0.2.5

=== debian/changelog ===
node-async (0.2.5-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Stop tracking md5sum of upstream tarball.
  * Bump packaging license to GPL-3+, and extend copyrigt coverage for
    myself to include current year.
  * Have git-import-orig suppress upstream .gitignore file.
  * List upstream issue tracker as preferred contact.
  * Bump standards-version to 3.9.4.
  * Unset executable bit on library files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Aug 2013 20:16:45 +0200
