=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper,
  dh-buildinfo,
  node-uglify | yui-compressor
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/caolan/async
 Vcs-Git: git://git.debian.org/git/collab-maint/node-async
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git
