=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, 2012, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
+# the Free Software Foundation; either version 3, or (at your option)
 # any later version.
 #
 # This program is distributed in the hope that it will be useful, but
@@ -31,7 +31,6 @@
 
 DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = ed61867d148cbaafc79d4a17ec87d144
 
 # suppress checking binary files, to not upset dpkg-source
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
@@ -51,7 +50,7 @@
 js-min = $(js-stems:%=debian/%.min.js)
 js-destdir = /usr/share/javascript/$(libdirname)
 
-node-destdir = /usr/lib/nodejs/
+node-destdir = /usr/lib/nodejs
 
 DEB_DH_INSTALL_ARGS_DEFAULT = $(js-stems:%=$(js-basedir)%.js) debian/*.min.js $(js-destdir)
 DEB_DH_INSTALL_ARGS_$(nodepkgname) = $(js-stems:%=$(js-basedir)%.js) $(node-destdir)
@@ -61,3 +60,9 @@
 	$(js-compressor) -o $@ $<
 clean::
 	rm -f debian/*.js
+
+# Unset executable bit on library files
+binary-post-install/$(nodepkgname)::
+	chmod -x debian/$(cdbs_curpkg)$(node-destdir)/*
+binary-post-install/$(libpkgname)::
+	chmod -x debian/$(cdbs_curpkg)$(js-destdir)/*
