## node-async 0.8.0

=== debian/changelog ===
node-async (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Bump standards-version to 3.9.5.
  * Update Vcs-* fields: Packaging git moved to pkg-javascript area of
    Alioth.
  * Update copyright info:
    + Extend coverage for myself.
    + Extend copyright coverage for main upstream author.
  * Fix use TLS in CDBS get-orig-source target, and update URL to not
    use "v" prefix.
  * Stop suppress uglified files from copyright check: No longer
    included in upstream source.
  * Build-depend on devscript (needed for copyright check).
  * Install package.json.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 May 2014 10:52:19 +0200
