=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ devscripts,
  debhelper,
  dh-buildinfo,
  node-uglify | yui-compressor
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/caolan/async
-Vcs-Git: git://git.debian.org/git/collab-maint/node-async
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-async.git
+Vcs-Git: git://git.debian.org/git/pkg-javascript/node-async
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-async.git
 
 Package: libjs-async
 Architecture: all
