=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for async
 #
 # This program is free software; you can redistribute it and/or modify
@@ -16,7 +16,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
--include /usr/share/cdbs/1/rules/upstream-tarball.mk
+include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -25,15 +25,8 @@
 libpkgname = libjs-$(libname)
 nodepkgname = node-$(libname)
 
-# suppress optional build-dependencies
-CDBS_BUILD_DEPENDS_rules_upstream-tarball =
-CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
-
-DEB_UPSTREAM_URL = http://github.com/caolan/async/archive
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
-
-# suppress checking binary files, to not upset dpkg-source
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(dist/async\.min\.js|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_UPSTREAM_URL = https://github.com/caolan/async/archive
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 
 DEB_INSTALL_DOCS_ALL += README.md
 
@@ -53,7 +46,10 @@
 node-destdir = /usr/lib/nodejs
 
 DEB_DH_INSTALL_ARGS_DEFAULT = $(js-stems:%=$(js-basedir)%.js) debian/*.min.js $(js-destdir)
-DEB_DH_INSTALL_ARGS_$(nodepkgname) = $(js-stems:%=$(js-basedir)%.js) $(node-destdir)
+DEB_DH_INSTALL_ARGS_$(nodepkgname) = \
+	package.json \
+	$(js-stems:%=$(js-basedir)%.js) \
+	$(node-destdir)
 
 build/$(libpkgname):: $(js-min)
 $(js-min): debian/%.min.js: $(js-basedir)%.js
