=== debian/watch ===
version=3
https://github.com/caolan/async/tags .*/archive/v?(\d[\d\.]+).tar.gz
