## node-async 3.2.6+dfsg

=== debian/changelog ===
node-async (3.2.6+dfsg-2willsync1) questing; urgency=medium

  * d/control: re-add node-istanbul to Build-Depends

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 17 Jun 2025 11:57:45 -0700

node-async (3.2.6+dfsg-2ubuntu1) questing; urgency=medium

  * d/control: temporarily drop node-istanbul from Build-Depends
    (LP: #2114857)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 17 Jun 2025 08:57:46 -0700

node-async (3.2.6+dfsg-2) unstable; urgency=medium

  * Team upload
  * Change "Breaks: libjs-async" to Conflicts
  * Update package description to mention ESM/MJS and async-es package
  * For tests, depend on compatible version of node-istanbul, and skip
    slow tests on slow architectures

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Sep 2024 19:59:12 +0100

node-async (3.2.6+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Exclude minified files from upstream source, and unreproducible
    documentation (as we don't have jsdoc in Debian yet, and we're not
    making a documentation package).
  * Update d/copyright file
  * Remove libjs-async package; it has no reverse dependencies and is now
    unnecessary
  * Rewrite the majority of debian/* for new version

 -- Julian Gilbey <jdg@debian.org>  Wed, 18 Sep 2024 09:05:49 +0100

node-async (0.8.0-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-async: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 10:06:48 +0000

node-async (0.8.0-5) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed
  * Drop nodejs dependency
  * Mark test dependencies with <!nocheck>
  * Use dh-sequence-nodejs auto test & install

 -- Yadd <yadd@debian.org>  Thu, 20 Jan 2022 09:13:47 +0100

node-async (0.8.0-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + libjs-async: Add Multi-Arch: foreign.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Replace deprecated no-uglify by uglifyjs (Closes: #979900)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Jan 2021 21:04:30 +0100

node-async (0.8.0-3) unstable; urgency=medium

  * Use short-form dh sequencer (not cdbs).
    Stop build-depend on cdbs.
  * Add patch 1001 to modernize testsuite: Replace pre-0.12 Node.js
    process.binding('evals') with require('vm') in testsuite.
  * Run testsuite.
    Build-depend on nodeunit.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2018 19:14:38 +0100

node-async (0.8.0-2) unstable; urgency=medium

  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on devscripts.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
  * Update watch file:
    + Bump file format to version 4.
    + Use github pattern from documentation.
    + Set repacksuffix.
    + Add usage comment.
    + Use substitution strings.
  * Update package relations:
    + Stop fallback-build-depend on yui-compressor: Unneeded since
      squeeze.
    + Fix stop libjs-async bogus dependency on nodejs.
    + Fix have libjs-async recommend javascript-common.
    + Stop build-depend on dh-buildinfo.
  * Stop resolve build-dependencies indirectly in rules file.
  * Modernize Vcs-* fields:
    + Use protocol https (not http or git).
    + Use git (not cgit) in path.
    + Include .git suffix in path.
  * Use package section javascript (not web).
  * Improve short and long descriptions.
  * Declare compliance with Debian Policy 4.1.3.
  * Use dephelper compatibility level 9 (not 8).
  * Fix deduplicate code: Have node-async symlink from and depend on
    libjs-async.
  * Fix install nodejs code into subdirectory.
    Closes: Bug#772835. Thanks to Olliver Schinagl.
  * Tighten rules file: Generalize resolving JavaScript source files.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2018 18:17:15 +0100
