=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: node-async
 Section: javascript
 Priority: optional
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: debhelper-compat (= 13)
  , dh-sequence-nodejs
@@ -14,6 +15,9 @@
  , node-istanbul (>= 0.4.5+repack10+~cs98.25.59-3) <!nocheck>
  , mocha <!nocheck>
  , chai <!nocheck>
+ , node-bluebird <!nocheck>
+ , node-es6-promise <!nocheck>
+ , node-native-promise-only <!nocheck>
  , node-rsvp <!nocheck>
  , node-lodash <!nocheck>
 Standards-Version: 4.7.0
